const feladatHozzaadasa = document.getElementById("hozzaadGomb")
const feladatok = document.getElementById("feladatok")
const feladatNev = document.getElementById("feladatNev")
const hatarido = document.getElementById("hatarido")
let modositasGombok = document.getElementsByClassName("modositasGomb")
let keszGombok = document.getElementsByClassName("keszGomb")
feladatHozzaadasa.addEventListener("click", () => {
    if (feladatNev.value == "" || hatarido.value == "") {
        alert("Nincs minden mező kitöltve!")
        return
    }

    const feladat = document.createElement("div")
    feladat.innerHTML = `<b>Feladat: ${feladatNev.value}</b><br>`
    feladat.innerHTML += `<b>Határidő: ${hatarido.value}</b>`
    feladat.classList.add("feladat")
    feladatok.appendChild(feladat)


    const modositas = document.createElement("button")
    modositas.innerHTML = "Módosítás"
    modositas.classList.add("modositasGomb")
    feladat.appendChild(modositas)


    const kesz = document.createElement("button")
    kesz.innerHTML = "Kész"
    kesz.classList.add("keszGomb")
    feladat.appendChild(kesz)

    feladatNev.value = ""
    hatarido.value = ""

    Array.from(modositasGombok).forEach(gomb => {
        gomb.addEventListener("click", () => {
            let ujNev = prompt("Adja meg az új feladat nevét:")
            let ujDatum = prompt("Adj meg az új határidőt:")
            
            gomb.parentElement.children[0].innerHTML = `Feladat: ${ujNev}`
            gomb.parentElement.children[2].innerHTML = `Határidő ${ujDatum}`
        })
    })

    Array.from(keszGombok).forEach(gomb => {
        gomb.addEventListener("click", () => {
            gomb.parentElement.remove()
        })
    })
})